cant build after change the package

cancel
Showing results for 
Search instead for 
Did you mean: 

cant build after change the package

318 Views
Contributor I

cant build after change the package.I try to change the example project package from MKE15Z256VLL7 to MKE15Z256VLH7. The error shows below.


Building target: frdmke15z_lpuart_interrupt_transfer_learn.axf
Invoking: MCU Linker
arm-none-eabi-gcc -nostdlib -Xlinker -Map="frdmke15z_lpuart_interrupt_transfer_learn.map" -Xlinker --gc-sections -Xlinker -print-memory-usage -Xlinker --sort-section=alignment -Xlinker --cref -mcpu=cortex-m0plus -mthumb -T frdmke15z_lpuart_interrupt_transfer_learn_Debug.ld -o "frdmke15z_lpuart_interrupt_transfer_learn.axf" ./utilities/fsl_assert.o ./utilities/fsl_debug_console.o ./utilities/fsl_str.o ./startup/startup_mke15z7.o ./source/lpuart_interrupt_transfer.o ./source/mtb.o ./source/semihost_hardfault.o ./drivers/fsl_clock.o ./drivers/fsl_common.o ./drivers/fsl_gpio.o ./drivers/fsl_lpuart.o ./drivers/fsl_sim.o ./drivers/fsl_smc.o ./device/system_MKE15Z7.o ./component/uart/lpuart_adapter.o ./component/serial_manager/serial_manager.o ./component/serial_manager/serial_port_uart.o ./component/lists/generic_list.o ./board/board.o ./board/clock_config.o ./board/pin_mux.o
c:/nxp/mcuxpressoide_11.0.0_2516/ide/plugins/com.nxp.mcuxpresso.tools.win32_11.0.0.201905131304/tools/bin/../lib/gcc/arm-none-eabi/8.2.1/../../../../arm-none-eabi/bin/ld.exe:frdmke15z_lpuart_interrupt_transfer_learn_Debug.ld:48 cannot move location counter backwards (from 00000404 to 00000400)
collect2.exe: error: ld returned 1 exit status
make: *** [makefile:40: frdmke15z_lpuart_interrupt_transfer_learn.axf] Error 1
"make -r -j4 all" terminated with exit code 2. Build might be incomplete.

Thank you!

0 Kudos
3 Replies

101 Views
NXP TechSupport
NXP TechSupport

Hi Wu,

Can you tell me how you change the mcu type and what's your MCUXpresso version? It seems the problem lies on the link file.

Regards,

Jing

0 Kudos

101 Views
Contributor I

Inked3dcca4b454ec485b8b02fda48f9fff77_LI.jpg

this is where i select the mcu package,and the strange point is when i try to change back, it also give the same error.

0 Kudos

101 Views
NXP TechSupport
NXP TechSupport

Hi,

After some testing, I think your MCUXpresso version is 11.0. Unlike version 10.x, it seems version 11 use default preprocessor setting. It reduced most of defined symbols if user change the MCU package.

You can add a defined symbols "__USE_CMSIS".

pastedImage_1.png

Regards,

Jing

0 Kudos